library(qualV)
data(phyto)

bobs  <- dpill(obs$t, obs$y)
n     <- tail(obs$t, n = 1) - obs$t[1] + 1
obss  <- ksmooth(obs$t, obs$y, kernel = "normal", bandwidth = bobs, n.points = n)
obss  <- as.data.frame(obss)
names(obss) <- c("t", "y")
obss  <- na.omit(obss[match(sim$t, obss$t),])

GRI(obss$y, sim$y)

sqc <- compareME(obs$y, sim$y, obs$t, sim$t, type = c("normalized"))
print(sqc, digits=3)
compareME(type="name")

sqc <- compareME(obss$y, sim$y, obss$t, sim$t,
  time = c("fixed","transform"), measure = "var",
  geometry = c("real", "logarithmic"),
  type = c("normalized"), trials=5, col.vars = "ignore")
print(sqc, digits = 3)

tt <- timeTransME(obss$y, sim$y, obss$t, sim$t, ME = SMSE, time = "transform", 
    type = "normalized", trials = 5, timeME = MAE, timeMEtype = "dissimilarity")
print(tt, digits=2)

obs_f1 <- f.slope(obss$t, obss$y)
sim_f1 <- f.slope(sim$t,  sim$y)
cat(obs_f1, sep="", fill=76)
cat(sim_f1, sep="", fill=76)

lcs  <- LCS(obs_f1, sim_f1)